Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.store
Class DatasetStoreGraph

    java.lang.Object
      com.hp.hpl.jena.sparql.core.DatasetGraphBase
          com.hp.hpl.jena.sparql.core.DatasetGraphBaseFind
              com.hp.hpl.jena.sparql.core.DatasetGraphTriplesQuads
                  com.hp.hpl.jena.sparql.core.DatasetGraphCaching
                      com.hp.hpl.jena.sdb.store.DatasetStoreGraph

All Implemented Interfaces:
  com.hp.hpl.jena.sparql.core.DatasetGraph, com.hp.hpl.jena.update.GraphStore, org.openjena.atlas.lib.Closeable

    public class DatasetStoreGraph

extends com.hp.hpl.jena.sparql.core.DatasetGraphCaching
implements com.hp.hpl.jena.sparql.core.DatasetGraph, org.openjena.atlas.lib.Closeable, com.hp.hpl.jena.update.GraphStore

Constructor Summary
`DatasetStoreGraph(Store store, com.hp.hpl.jena.sparql.util.Context context)`
`DatasetStoreGraph(Store store, GraphSDB graph, com.hp.hpl.jena.sparql.util.Context context)`

Method Summary
`void` | `finishRequest()`
`Store` | `getStore()`
`Iterator<com.hp.hpl.jena.graph.Node>` | `listGraphNodes()`
`void` | `startRequest()`
`com.hp.hpl.jena.query.Dataset` | `toDataset()`

Methods inherited from class com.hp.hpl.jena.sparql.core.DatasetGraphCaching
`addGraph, close, containsGraph, getDefaultGraph, getGraph, removeGraph`

Methods inherited from class com.hp.hpl.jena.sparql.core.DatasetGraphTriplesQuads
`add, delete`

Methods inherited from class com.hp.hpl.jena.sparql.core.DatasetGraphBaseFind
`find, findNG`

Methods inherited from class com.hp.hpl.jena.sparql.core.DatasetGraphBase
`contains, contains, deleteAny, find, find, getContext, getLock, isEmpty, setDefaultGraph, size, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.hp.hpl.jena.sparql.core.DatasetGraph
`add, addGraph, contains, contains, containsGraph, delete, deleteAny, find, find, find, findNG, getContext, getDefaultGraph, getGraph, getLock, isEmpty, removeGraph, setDefaultGraph, size`

Constructor Detail

### DatasetStoreGraph

    public DatasetStoreGraph(Store store,
                             com.hp.hpl.jena.sparql.util.Context context)

### DatasetStoreGraph

    public DatasetStoreGraph(Store store,
                             GraphSDB graph,
                             com.hp.hpl.jena.sparql.util.Context context)

Method Detail

### getStore

    public Store getStore()

### listGraphNodes

    public Iterator<com.hp.hpl.jena.graph.Node> listGraphNodes()

  Specified by:
    `listGraphNodes` in interface `com.hp.hpl.jena.sparql.core.DatasetGraph`

### startRequest

    public void startRequest()

  Specified by:
    `startRequest` in interface `com.hp.hpl.jena.update.GraphStore`

### finishRequest

    public void finishRequest()

  Specified by:
    `finishRequest` in interface `com.hp.hpl.jena.update.GraphStore`

### toDataset

    public com.hp.hpl.jena.query.Dataset toDataset()

  Specified by:
    `toDataset` in interface `com.hp.hpl.jena.update.GraphStore`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.